import '../../App.css'
import {
  Skeleton, Box, IconButton, TableCell, TableContainer,
  Table, TableRow, Paper, TableBody
} from '@mui/material';
import React from 'react'
import CheckBoxIcon from '@mui/icons-material/CheckBox';


const big_as = 70

function Asignaciones(props) {
  let { asign } = props;
  let { cattest } = asign;
  return (
    <tr>
      <td>
        {cattest.decription}
        <IconButton color="primary" aria-label="puesto_status" components="label">
          <CheckBoxIcon />
        </IconButton>
      </td>
    </tr>
  )
}

function TableUser(props) {
  let { user } = props;
  let { asignaciones, candi } = user
  // console.log(asignaciones)
  return (
    <TableRow style={{}}>
      <TableCell className="table_list_test_user home_letter">{candi.nombre + " " + candi.apellidos}</TableCell>
      <TableCell className="table_list_test_user home_letter">
        <table>
          <tbody >
            {
              asignaciones.map(a => <Asignaciones key={a.id} asign={a} />)
            }
          </tbody>
        </table>
      </TableCell>
    </TableRow>
  )
}

export function Candidato(props) {
  // console.log("USER: ", props.user)
  let { password, candidatos } = props.user

  return (
    <div className="data_candidato">
      <div className="row">
        <div style={{padding:15, borderRight: '1px solid #f1f1f1' }} className="col-3" >
          <p><b>{password?.toUpperCase()}</b></p>
        </div>
        <div className="col-9">

          <TableContainer style={{ boxShadow: "none" }} component={Paper}>
            <Table size="small" aria-label="a dense table">
              {/*
              <TableHead>
                <TableRow>
                  <TableCell className="tg-0lax">Nombre</TableCell>
                  <TableCell className="tg-0lax">Asignaciones</TableCell>
                </TableRow>
              </TableHead>
                  */}
              <TableBody>
                {
                  candidatos.map(u => <TableUser key={u.candi.id} user={u} />)
                }
              </TableBody>
            </Table>

          </TableContainer>

        </div>
      </div>
    </div>
  )
}

export function Preview() {
  return (
    <Box sx={{ width: '100%' }}>
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
      <Skeleton height={big_as} animation="wave" />
    </Box>
  )
}
